Bug 147810 - usb scanner doesn't work when gpilotd is running
usb scanner doesn't work when gpilotd is running
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
: 147809 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-11 11:10 EST by Christof Damian
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 08:13:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christof Damian 2005-02-11 11:10:27 EST
Description of problem:

xsane doesn't work when gpilotd is running

Version-Release number of selected component (if applicable):


How reproducible:

every time

Steps to Reproduce:
1. plug in an usb scanner (I got an epson perfection 1650)
2. start gpilotd (I am using the applet)
3. use xscan
  
Actual results:

xsane hangs and fails

Expected results:

proper scan

Additional info:

this shows in the logs

usb 2-2: usbfs: USBDEVFS_BULK failed ep 0x2 len 2 ret -110
usb 2-2: usbfs: USBDEVFS_BULK failed ep 0x81 len 1 ret -75
usb 2-2: xsane timed out on ep2out
usb 2-2: usbfs: USBDEVFS_BULK failed ep 0x2 len 2 ret -110
usb 2-2: xsane timed out on ep2out
Comment 1 Tim Waugh 2005-02-11 11:13:07 EST
*** Bug 147809 has been marked as a duplicate of this bug. ***
Comment 2 Tim Waugh 2005-02-11 11:15:11 EST
No idea what's going on here.  CCing kernel and gnome-pilot owners in case they
can shed any light on it.
Comment 3 Christof Damian 2005-02-11 17:01:05 EST
I found the following debian bug, which seems to be related: 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=289894

btw: Sorry about the duplicate, but bugzilla was hanging the first time
Comment 4 Tim Waugh 2005-02-14 04:44:34 EST
That bug seems to indicate pretty strongly that it's a gnome-pilot bug. 
Reassigning.
Comment 6 Matthew Miller 2006-07-10 16:39:48 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Matthew Barnes 2006-12-31 22:07:33 EST
Is this problem still present in Fedora Core 6?
Comment 8 Matěj Cepl 2007-08-31 11:20:29 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 9 Christof Damian 2007-09-18 03:22:23 EDT
You can close this. My Palm has died on me now and I am not using the scanner
either. My guess is that is fixed anyway, as it was easy to reproduce and is two
years old.
Comment 10 Matthew Barnes 2007-09-18 08:13:58 EDT
Closing as requested.  Thanks for responding.

Note You need to log in before you can comment on or make changes to this bug.